using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFEditColumnFillMapMap : APTEntityBaseMap<T_PF_EDIT_COLUMN_FILL_MAP>
	{
		public override void Configure(EntityTypeBuilder<T_PF_EDIT_COLUMN_FILL_MAP> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.SRC_NAV).HasMaxLength(200);
			builder.Property(t => t.DEST_NAV).HasMaxLength(200);

			builder.HasOne(t => t.Nav_EditColumn).WithMany(t => t.Nav_FillMaps).HasForeignKey(t => t.EDIT_COLUMN_ID).OnDelete(DeleteBehavior.Restrict);
		}
		 
	}
}
